/**
 * IndexView 部件模型
 *
 * @export
 * @class IndexViewModel
 */
export default class IndexViewModel {

    /**
     * 菜单项集合
     *
     * @public
     * @type {any[]}
     * @memberof IndexViewModel
     */
    public items: any[] = [
        {
	id: '62d1e15d1101a21fa761909a0bf211a0',
	name: 'menuitem61',
	text: '工作台',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作台',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: true,
	iconcls: 'fa fa-desktop',
	icon: '',
	textcls: '',
	appfunctag: 'Auto37',
	resourcetag: '',
},
        {
	id: 'aca04834b859a26e1366c8bb1821f655',
	name: 'menuitem3',
	text: '设备',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '设备',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-align-right',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'a830789a1368339c6f11df663767ce81',
	name: 'menuitem8',
	text: '设备档案',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '设备档案',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto1',
	resourcetag: '',
},
		{
	id: '91e3f447bcf751acb68ad992b2f5b3bc',
	name: 'menuitem1',
	text: '设备类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '设备类型',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto21',
	resourcetag: '',
},
		{
	id: '197c51c6dff3b94e5db619065a64f1d3',
	name: 'menuitem5',
	text: '位置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '位置',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto12',
	resourcetag: '',
},
		{
	id: '0ee99b62d7d4a3ca7e0dd8ce53d90461',
	name: 'menuitem6',
	text: '文档',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '文档',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto20',
	resourcetag: '',
},
		{
	id: '91a5261cca34041e70cac023b5014d92',
	name: 'menuitem7',
	text: '备件包',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '备件包',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto10',
	resourcetag: '',
},
	],
},
        {
	id: 'ea4c24a1edc4468262b8b1563aece85b',
	name: 'menuitem16',
	text: '计划',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '计划',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-pencil-square-o',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '8cd21f2248f50d05feeae05af87695f6',
	name: 'menuitem17',
	text: '计划',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '计划',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto15',
	resourcetag: '',
},
		{
	id: '125e8e816acfc07ce31269c235234562',
	name: 'menuitem18',
	text: '计划模板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '计划模板',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto6',
	resourcetag: '',
},
	],
},
        {
	id: 'e0d669a7e3fed03d27bfb5e2faa88383',
	name: 'menuitem33',
	text: '能耗',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '能耗',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-area-chart',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '7de90ca0fde034a263f0a7cba33345a3',
	name: 'menuitem50',
	text: '能源',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '能源',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto35',
	resourcetag: '',
},
		{
	id: 'a4403b92e10915d7b6017a8f66931030',
	name: 'menuitem55',
	text: '能耗',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '能耗',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto32',
	resourcetag: '',
},
		{
	id: '87a75b45bd98fc808d3722065e2e1f6a',
	name: 'menuitem53',
	text: '能力',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '能力',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto49',
	resourcetag: '',
},
		{
	id: 'badac999a27e8aedeee7766a90dfa48c',
	name: 'menuitem54',
	text: '产能',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '产能',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto43',
	resourcetag: '',
},
	],
},
        {
	id: '784133e400807ee0e42040989626f404',
	name: 'menuitem9',
	text: '工单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工单',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-align-justify',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '6fd71ac2aa5782a4b1931553ccf9368e',
	name: 'menuitem10',
	text: '全部工单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '全部工单',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto42',
	resourcetag: '',
},
		{
	id: 'b12f2564211ecd3495581d1ec8429f1d',
	name: 'menuitem11',
	text: '内部工单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '内部工单',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto9',
	resourcetag: '',
},
		{
	id: 'a876893cac8500fc63ff54fb105af0ad',
	name: 'menuitem12',
	text: '外委工单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '外委工单',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto17',
	resourcetag: '',
},
		{
	id: '4760e11b6643f3ecf9c93a0e9f1431a6',
	name: 'menuitem13',
	text: '能耗工单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '能耗工单',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto5',
	resourcetag: '',
},
		{
	id: '8dbfd1440ee08edf4ec78bc0710f696a',
	name: 'menuitem14',
	text: '点检工单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '点检工单',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto3',
	resourcetag: '',
},
		{
	id: 'fc24879f15de57c4ef0d109ef73920c1',
	name: 'menuitem15',
	text: '外委申请',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '外委申请',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto16',
	resourcetag: '',
},
	],
},
        {
	id: 'e451c96d55e18e7e446f349794a81cd9',
	name: 'menuitem32',
	text: '活动',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '活动',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-university',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '5653e4a0f09955bb699647a7e6e6a8d3',
	name: 'menuitem56',
	text: '更换安装',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '更换安装',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto27',
	resourcetag: '',
},
		{
	id: 'da00f5c4672f07ef2a48df1648e98663',
	name: 'menuitem57',
	text: '事故记录',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '事故记录',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto33',
	resourcetag: '',
},
		{
	id: '372acbd4a93a650ff2eeefa6cb161a9f',
	name: 'menuitem58',
	text: '维修记录',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '维修记录',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto38',
	resourcetag: '',
},
		{
	id: '2481c1cb7d1178ea0ca4d45f268edd80',
	name: 'menuitem59',
	text: '抢修记录',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '抢修记录',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto31',
	resourcetag: '',
},
		{
	id: '2ca6f227b185e1a9f7b740501297b656',
	name: 'menuitem60',
	text: '保养记录',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '保养记录',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto28',
	resourcetag: '',
},
	],
},
        {
	id: '340d799544c2f9e4ca10677ceba6741e',
	name: 'menuitem31',
	text: '故障',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '故障',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-exclamation-triangle',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'ef9e2ca27c33a60ee15fcba69f7b935b',
	name: 'menuitem48',
	text: '现象',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '现象',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto50',
	resourcetag: '',
},
		{
	id: '5c468548b5b9393e31c89bb9d2900a4c',
	name: 'menuitem47',
	text: '现象分类',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '现象分类',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto26',
	resourcetag: '',
},
		{
	id: '1592c1668559c019ae73ecc376ee5fe2',
	name: 'menuitem49',
	text: '模式',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '模式',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto41',
	resourcetag: '',
},
		{
	id: '023a183ee4074929c594098c5850abd2',
	name: 'menuitem51',
	text: '原因',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '原因',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto48',
	resourcetag: '',
},
		{
	id: '16ae8e16fc0afbcd1e7258cef286b7e0',
	name: 'menuitem52',
	text: '方案',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '方案',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto30',
	resourcetag: '',
},
	],
},
        {
	id: '8a31c189b74d7feb9b99cf66303ab0e9',
	name: 'menuitem30',
	text: '资产',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-navicon',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '5e6296bb0527245492b28469bf91c2a8',
	name: 'menuitem43',
	text: '资产科目',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产科目',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto51',
	resourcetag: '',
},
		{
	id: '3c2daa4517a5138ff3f2da156cf76bb7',
	name: 'menuitem44',
	text: '固定资产台账',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '固定资产台账',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto29',
	resourcetag: '',
},
		{
	id: 'e561b23927ef64b9ab0f41ddf9864e3a',
	name: 'menuitem45',
	text: '报废资产',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '报废资产',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto46',
	resourcetag: '',
},
		{
	id: '1fab51747f22c63ac7a31c3010c64c30',
	name: 'menuitem46',
	text: '资产盘点记录',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产盘点记录',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto39',
	resourcetag: '',
},
	],
},
        {
	id: '9cfc55c5762f6d86c74dcfc0e8bdcaba',
	name: 'menuitem4',
	text: '材料',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '材料',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-file-o',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '8b4ec6aaca0699e2028d6b5a2e8dd469',
	name: 'menuitem2',
	text: '物品类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '物品类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto22',
	resourcetag: '',
},
		{
	id: 'f3860426358cd71f3aa18b71403869ab',
	name: 'menuitem19',
	text: '物品',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '物品',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto14',
	resourcetag: '',
},
		{
	id: 'e4041b1b13a8782ab60c579f95c4b25a',
	name: 'seperator1',
	text: '菜单项',
	type: 'SEPERATOR',
	counterid: '',
	tooltip: '',
	expanded: false,
	separator: true,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: 'e4fedc5725d15da10bc1f2fd6f9b135c',
	name: 'menuitem20',
	text: '仓库',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '仓库',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto11',
	resourcetag: '',
},
		{
	id: 'aba7daa88761523de4b763ab9cd182a7',
	name: 'menuitem21',
	text: '仓库库位',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '仓库库位',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto2',
	resourcetag: '',
},
		{
	id: '49ce7bbf60e155cab0c8a72bbba30818',
	name: 'menuitem22',
	text: '库存明细',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '库存明细',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto19',
	resourcetag: '',
},
		{
	id: 'c33541210a3c91cf7fec965f5d8cf499',
	name: 'seperator2',
	text: '菜单项',
	type: 'SEPERATOR',
	counterid: '',
	tooltip: '',
	expanded: false,
	separator: true,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: 'ae2cd087d5adf4ecdc29f297420c2745',
	name: 'menuitem24',
	text: '损益单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '损益单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto18',
	resourcetag: '',
},
		{
	id: '4e40097b17a3d3052d2b64a122f627a8',
	name: 'menuitem25',
	text: '调整单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '调整单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto4',
	resourcetag: '',
},
		{
	id: '21cf7b3835c5556814557cdda1f8a626',
	name: 'menuitem26',
	text: '入库单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '入库单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto23',
	resourcetag: '',
},
		{
	id: 'b2f8dc6db4f3356f4b0a486ad969bf20',
	name: 'menuitem27',
	text: '出库单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '出库单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto13',
	resourcetag: '',
},
		{
	id: 'f3088ef79f30add28ae3f1b51b7ec9a4',
	name: 'menuitem23',
	text: '领料单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '领料单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto7',
	resourcetag: '',
},
		{
	id: '225ceb368b7dafc548747408c96df6d0',
	name: 'menuitem28',
	text: '还料单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '还料单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto8',
	resourcetag: '',
},
	],
},
        {
	id: '1dd9c12fcc2d904366c60141a5bbe40f',
	name: 'menuitem29',
	text: '采购',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '采购',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-leanpub',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'f6e3488b6a4164056075c1d69716e74b',
	name: 'menuitem64',
	text: '采购流程',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '采购流程',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto54',
	resourcetag: '',
},
		{
	id: '6e61d3ae85620e9af399668b4c5eed6b',
	name: 'menuitem34',
	text: '采购申请',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '采购申请',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto52',
	resourcetag: '',
},
		{
	id: '900e4f7932b03865d6afc4d6d5bfcaf7',
	name: 'menuitem35',
	text: '采购订单条目',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '采购订单条目',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto45',
	resourcetag: '',
},
		{
	id: 'ea6ef9431cd96a46964bd4a2abf53d98',
	name: 'menuitem36',
	text: '采购订单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '采购订单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto40',
	resourcetag: '',
},
		{
	id: 'c7d4deb2379aed32f0e7490f93b6f56c',
	name: 'menuitem37',
	text: '询价单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '询价单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto44',
	resourcetag: '',
},
		{
	id: 'f6c0136750c346c0b6cdeaca611eaa0f',
	name: 'menuitem38',
	text: '服务商审批',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '服务商审批',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto36',
	resourcetag: '',
},
		{
	id: '356540445b7c505f0cd55f5fff1bb433',
	name: 'menuitem39',
	text: '服务商评估',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '服务商评估',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto34',
	resourcetag: '',
},
		{
	id: '37e9683cc7eb4052abf01ef9faa5002f',
	name: 'menuitem40',
	text: '试用品',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '试用品',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto47',
	resourcetag: '',
},
		{
	id: 'c31a700a6465826ee450440cc3507790',
	name: 'menuitem41',
	text: '合同',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '合同',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto25',
	resourcetag: '',
},
		{
	id: '25ee3828cd35927860553ec3f2005b89',
	name: 'menuitem42',
	text: '已到货采购申请',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '已到货采购申请',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto53',
	resourcetag: '',
},
	],
},
        {
	id: '6138adf7a46df6c2b3319c1f8a000a44',
	name: 'menuitem62',
	text: '预警',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '预警',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-bell-o',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '8488577e62ea3cc8c383ed82e1ffd559',
	name: 'menuitem63',
	text: '钢丝绳位置超期预警',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '钢丝绳位置超期预警',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto24',
	resourcetag: '',
},
	],
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @public
	 * @type {any[]}
	 * @memberof IndexViewModel
	 */
	public funcs: any[] = [
        {
            appfunctag: 'Auto51',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emassetclassgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emassetclasses/:emassetclass?/gridview/:gridview?',
            parameters: [
                { pathName: 'emassetclasses', parameterName: 'emassetclass' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto44',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwplistcostgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwplistcosts/:emwplistcost?/gridview/:gridview?',
            parameters: [
                { pathName: 'emwplistcosts', parameterName: 'emwplistcost' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto40',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'empogridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/empos/:empo?/gridview/:gridview?',
            parameters: [
                { pathName: 'empos', parameterName: 'empo' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto4',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emitemcsgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emitemcs/:emitemcs?/gridview/:gridview?',
            parameters: [
                { pathName: 'emitemcs', parameterName: 'emitemcs' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto7',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emitempusegridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emitempuses/:emitempuse?/gridview/:gridview?',
            parameters: [
                { pathName: 'emitempuses', parameterName: 'emitempuse' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto28',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqkeepgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqkeeps/:emeqkeep?/gridview/:gridview?',
            parameters: [
                { pathName: 'emeqkeeps', parameterName: 'emeqkeep' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto9',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwo_innergridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwo_inners/:emwo_inner?/gridview/:gridview?',
            parameters: [
                { pathName: 'emwo_inners', parameterName: 'emwo_inner' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto10',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqsparegridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqspares/:emeqspare?/gridview/:gridview?',
            parameters: [
                { pathName: 'emeqspares', parameterName: 'emeqspare' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto20',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emdrwgtreeexpview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emdrwgs/:emdrwg?/treeexpview/:treeexpview?',
            parameters: [
                { pathName: 'emdrwgs', parameterName: 'emdrwg' },
                { pathName: 'treeexpview', parameterName: 'treeexpview' },
            ],
        },
        {
            appfunctag: 'Auto14',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emitemtypeitemtreeexpview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emitemtypes/:emitemtype?/itemtreeexpview/:itemtreeexpview?',
            parameters: [
                { pathName: 'emitemtypes', parameterName: 'emitemtype' },
                { pathName: 'itemtreeexpview', parameterName: 'itemtreeexpview' },
            ],
        },
        {
            appfunctag: 'Auto12',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqlocationgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqlocations/:emeqlocation?/gridview/:gridview?',
            parameters: [
                { pathName: 'emeqlocations', parameterName: 'emeqlocation' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto3',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwo_dpgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwo_dps/:emwo_dp?/gridview/:gridview?',
            parameters: [
                { pathName: 'emwo_dps', parameterName: 'emwo_dp' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto34',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emserviceevlgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emserviceevls/:emserviceevl?/gridview/:gridview?',
            parameters: [
                { pathName: 'emserviceevls', parameterName: 'emserviceevl' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto19',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emstockgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emstocks/:emstock?/gridview/:gridview?',
            parameters: [
                { pathName: 'emstocks', parameterName: 'emstock' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto15',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emplangridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emplans/:emplan?/gridview/:gridview?',
            parameters: [
                { pathName: 'emplans', parameterName: 'emplan' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto31',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqmaintancegridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqmaintances/:emeqmaintance?/gridview/:gridview?',
            parameters: [
                { pathName: 'emeqmaintances', parameterName: 'emeqmaintance' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto2',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emstoretreeexpview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emstores/:emstore?/treeexpview/:treeexpview?',
            parameters: [
                { pathName: 'emstores', parameterName: 'emstore' },
                { pathName: 'treeexpview', parameterName: 'treeexpview' },
            ],
        },
        {
            appfunctag: 'Auto46',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emassetgridview_bf',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emassets/:emasset?/gridview_bf/:gridview_bf?',
            parameters: [
                { pathName: 'emassets', parameterName: 'emasset' },
                { pathName: 'gridview_bf', parameterName: 'gridview_bf' },
            ],
        },
        {
            appfunctag: 'Auto45',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'empodetailgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/empodetails/:empodetail?/gridview/:gridview?',
            parameters: [
                { pathName: 'empodetails', parameterName: 'empodetail' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto24',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqlctgsstabexpview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqlctgsses/:emeqlctgss?/tabexpview/:tabexpview?',
            parameters: [
                { pathName: 'emeqlctgsses', parameterName: 'emeqlctgss' },
                { pathName: 'tabexpview', parameterName: 'tabexpview' },
            ],
        },
        {
            appfunctag: 'Auto39',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emassetcleargridview_5564',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emassetclears/:emassetclear?/gridview_5564/:gridview_5564?',
            parameters: [
                { pathName: 'emassetclears', parameterName: 'emassetclear' },
                { pathName: 'gridview_5564', parameterName: 'gridview_5564' },
            ],
        },
        {
            appfunctag: 'Auto52',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwplistgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwplists/:emwplist?/gridview/:gridview?',
            parameters: [
                { pathName: 'emwplists', parameterName: 'emwplist' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto1',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqtypetreeexpview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqtypes/:emeqtype?/treeexpview/:treeexpview?',
            parameters: [
                { pathName: 'emeqtypes', parameterName: 'emeqtype' },
                { pathName: 'treeexpview', parameterName: 'treeexpview' },
            ],
        },
        {
            appfunctag: 'Auto49',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emoutputgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emoutputs/:emoutput?/gridview/:gridview?',
            parameters: [
                { pathName: 'emoutputs', parameterName: 'emoutput' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto13',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emitemroutgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emitemrouts/:emitemrout?/gridview/:gridview?',
            parameters: [
                { pathName: 'emitemrouts', parameterName: 'emitemrout' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto26',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emrfodetypegridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emrfodetypes/:emrfodetype?/gridview/:gridview?',
            parameters: [
                { pathName: 'emrfodetypes', parameterName: 'emrfodetype' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto25',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'pfcontractgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/pfcontracts/:pfcontract?/gridview/:gridview?',
            parameters: [
                { pathName: 'pfcontracts', parameterName: 'pfcontract' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto37',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'appportalview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/appportalview/:appportalview?',
            parameters: [
                { pathName: 'appportalview', parameterName: 'appportalview' },
            ],
        },
        {
            appfunctag: 'Auto17',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwo_oscgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwo_oscs/:emwo_osc?/gridview/:gridview?',
            parameters: [
                { pathName: 'emwo_oscs', parameterName: 'emwo_osc' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto11',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emstoregridview_7848',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emstores/:emstore?/gridview_7848/:gridview_7848?',
            parameters: [
                { pathName: 'emstores', parameterName: 'emstore' },
                { pathName: 'gridview_7848', parameterName: 'gridview_7848' },
            ],
        },
        {
            appfunctag: 'Auto23',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emitemringridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emitemrins/:emitemrin?/gridview/:gridview?',
            parameters: [
                { pathName: 'emitemrins', parameterName: 'emitemrin' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto27',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqsetupgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqsetups/:emeqsetup?/gridview/:gridview?',
            parameters: [
                { pathName: 'emeqsetups', parameterName: 'emeqsetup' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto50',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emrfodegridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emrfodes/:emrfode?/gridview/:gridview?',
            parameters: [
                { pathName: 'emrfodes', parameterName: 'emrfode' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto53',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwplistgridview_ydh',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwplists/:emwplist?/gridview_ydh/:gridview_ydh?',
            parameters: [
                { pathName: 'emwplists', parameterName: 'emwplist' },
                { pathName: 'gridview_ydh', parameterName: 'gridview_ydh' },
            ],
        },
        {
            appfunctag: 'Auto47',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emproductgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emproducts/:emproduct?/gridview/:gridview?',
            parameters: [
                { pathName: 'emproducts', parameterName: 'emproduct' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto36',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emservicegridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emservices/:emservice?/gridview/:gridview?',
            parameters: [
                { pathName: 'emservices', parameterName: 'emservice' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto16',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emapplygridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emapplies/:emapply?/gridview/:gridview?',
            parameters: [
                { pathName: 'emapplies', parameterName: 'emapply' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto6',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emplantemplgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emplantempls/:emplantempl?/gridview/:gridview?',
            parameters: [
                { pathName: 'emplantempls', parameterName: 'emplantempl' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto41',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emrfomogridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emrfomos/:emrfomo?/gridview/:gridview?',
            parameters: [
                { pathName: 'emrfomos', parameterName: 'emrfomo' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto18',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emitemplgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emitempls/:emitempl?/gridview/:gridview?',
            parameters: [
                { pathName: 'emitempls', parameterName: 'emitempl' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto38',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqcheckgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqchecks/:emeqcheck?/gridview/:gridview?',
            parameters: [
                { pathName: 'emeqchecks', parameterName: 'emeqcheck' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto35',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emengridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emen/:emen?/gridview/:gridview?',
            parameters: [
                { pathName: 'emen', parameterName: 'emen' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto22',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emitemtypegridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emitemtypes/:emitemtype?/gridview/:gridview?',
            parameters: [
                { pathName: 'emitemtypes', parameterName: 'emitemtype' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto8',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emitemprtngridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emitemprtns/:emitemprtn?/gridview/:gridview?',
            parameters: [
                { pathName: 'emitemprtns', parameterName: 'emitemprtn' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto54',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwplistwpprocesstreeexpview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwplists/:emwplist?/wpprocesstreeexpview/:wpprocesstreeexpview?',
            parameters: [
                { pathName: 'emwplists', parameterName: 'emwplist' },
                { pathName: 'wpprocesstreeexpview', parameterName: 'wpprocesstreeexpview' },
            ],
        },
        {
            appfunctag: 'Auto29',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emassetgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emassets/:emasset?/gridview/:gridview?',
            parameters: [
                { pathName: 'emassets', parameterName: 'emasset' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto30',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emrfoacgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emrfoacs/:emrfoac?/gridview/:gridview?',
            parameters: [
                { pathName: 'emrfoacs', parameterName: 'emrfoac' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto32',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emenconsumgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emenconsums/:emenconsum?/gridview/:gridview?',
            parameters: [
                { pathName: 'emenconsums', parameterName: 'emenconsum' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto43',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emoutputrctgridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emoutputrcts/:emoutputrct?/gridview/:gridview?',
            parameters: [
                { pathName: 'emoutputrcts', parameterName: 'emoutputrct' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto21',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqtypegridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqtypes/:emeqtype?/gridview/:gridview?',
            parameters: [
                { pathName: 'emeqtypes', parameterName: 'emeqtype' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto33',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emeqdebuggridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emeqdebugs/:emeqdebug?/gridview/:gridview?',
            parameters: [
                { pathName: 'emeqdebugs', parameterName: 'emeqdebug' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto48',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emrfocagridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emrfocas/:emrfoca?/gridview/:gridview?',
            parameters: [
                { pathName: 'emrfocas', parameterName: 'emrfoca' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto5',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwo_engridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwo_ens/:emwo_en?/gridview/:gridview?',
            parameters: [
                { pathName: 'emwo_ens', parameterName: 'emwo_en' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto42',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'emwogridview',
            deResParameters: [],
            routepath: '/appindex/:appindex?/emwos/:emwo?/gridview/:gridview?',
            parameters: [
                { pathName: 'emwos', parameterName: 'emwo' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof IndexViewModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof IndexViewModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}